HEADER
; IDL Visual Widget Builder Resource file. Version 1
; Generated on:	06/09/2017 17:34.50
VERSION 1
END

MSP_BDP_Base BASE 5 5 968 750
REALIZE "MSP_BDP_Realize"
ONPOSTCREATE "MSP_BDP_PostCreation"
TLB
CAPTION "Mimir Software Package - Basic Data Processor (MSP-BDP) v1.2.3 (20091102-DPC)"
XPAD = 3
YPAD = 3
SPACE = 3
BEGIN
  Big_Tab TAB 12 9 920 608
  ONTABCHANGE "Tab_Handle"
  BEGIN
    Tab_0_Summary BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Summary"
    BEGIN
      Summary_Text_Window TEXT 16 15 859 447
      SCROLL
      WIDTH = 20
      HEIGHT = 1
      END
      P0_Button_Summary_Next PUSHBUTTON 842 480 0 0
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click here to move to next Step"
      ONACTIVATE "Next_Handler"
      END
    END
    Tab_1_Organize BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Part 1: Organize Run"
    BEGIN
      P1_Button_Next PUSHBUTTON 849 480 0 0
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click here to move to the next Step"
      ONACTIVATE "Next_Handler"
      END
      P1_Label_0 LABEL 29 37 336 21
      VALUE "1. Select or Create Observing Run Name/Label"
      ALIGNLEFT
      END
      P1_Button_Create_New_Run PUSHBUTTON 26 69 159 36
      VALUE "Create New Name"
      ALIGNCENTER
      TOOLTIP "Creates a New Analysis Directory Structure"
      ONACTIVATE "P1_Handler"
      END
      P1_Button_Open_Existing_Run PUSHBUTTON 203 68 162 36
      VALUE "Open Existing Run"
      ALIGNCENTER
      TOOLTIP "Opens and already created analysis directory structure"
      ONACTIVATE "P1_Handler"
      END
      P1_Button_Show_Night_Summary PUSHBUTTON 27 153 156 36
      VALUE "Show Run Summary"
      ALIGNCENTER
      TOOLTIP "Shows a table of nights in this run and their last processed step number"
      ONACTIVATE "P1_Handler"
      END
      P1_Label_1 LABEL 29 125 289 25
      VALUE "2. View/Edit Run Summary"
      ALIGNLEFT
      END
      P1_Button_Add_Nights PUSHBUTTON 25 203 156 36
      VALUE "Add Nights"
      ALIGNCENTER
      TOOLTIP "Add new observing nights to the current list"
      ONACTIVATE "P1_Handler"
      END
      P1_Button_Delete_Nights PUSHBUTTON 205 203 156 36
      VALUE "Delete Nights"
      ALIGNCENTER
      TOOLTIP "Remove nights from the current list"
      ONACTIVATE "P1_Handler"
      END
      P1_Label_2 LABEL 23 271 231 22
      VALUE "3. Save New Run Summary"
      ALIGNLEFT
      END
      P1_Button_Save_Night_Summary PUSHBUTTON 23 298 156 36
      VALUE "Save Run Summary"
      ALIGNCENTER
      TOOLTIP "Save the current run summary to disk"
      ONACTIVATE "P1_Handler"
      END
      P1_Button_Discover_Raw_Nights PUSHBUTTON 204 154 154 36
      VALUE "Discover Raw Nights"
      ALIGNCENTER
      TOOLTIP "Go to the raw data directory and determine the set of observing nights"
      ONACTIVATE "P1_Handler"
      END
      P1_Label_3 LABEL 22 352 231 21
      VALUE "4. (Optional) Print Run Summary"
      ALIGNLEFT
      END
      P1_Button_Print_Night_Summary PUSHBUTTON 21 379 156 36
      VALUE "Print Run Summary"
      ALIGNCENTER
      TOOLTIP "Print a summary of the current run"
      ONACTIVATE "P1_Handler"
      END
      P1_Button_Help PUSHBUTTON 751 481 0 0
      VALUE "Help/Hints"
      ALIGNCENTER
      TOOLTIP "Look for this button on later Steps for important processing hints"
      ONACTIVATE "Help_Handler"
      END
      P1_Button_Reconnect PUSHBUTTON 417 69 225 37
      VALUE "Reconnect to Data Directories"
      ALIGNCENTER
      TOOLTIP "To move data directories (e.g., from one computer to another): 1. Copy directories; 2. Reconnect to the new directories (with this button)"
      ONACTIVATE "P1_Handler"
      END
    END
    Tab_2_Process BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Part 2: Make Image/Group Tables"
    BEGIN
      P2_Button_Build_Image_Log PUSHBUTTON 21 244 225 39
      VALUE "3. Build Image Table"
      ALIGNCENTER
      TOOLTIP "Read each image to build the image table summary"
      ONACTIVATE "P2_Handler"
      END
      P2_Button_Edit_Image_Table PUSHBUTTON 22 408 157 39
      VALUE "Edit Image Table"
      ALIGNCENTER
      TOOLTIP "Display the table of image properties, allow edits"
      ONACTIVATE "P2_Handler"
      END
      P2_Button_Group_Images PUSHBUTTON 20 333 227 38
      VALUE "Build Group Table"
      ALIGNCENTER
      TOOLTIP "Collect images into groups"
      ONACTIVATE "P2_Handler"
      END
      P2_Droplist_Select_Night DROPLIST 108 8 0 0
      NUMITEMS = 1
      ITEM "No Nights Read Yet"
      ONSELECT "P2_Handler"
      END
      P2_Label_1 LABEL 9 9 147 20
      VALUE "1. Select Night"
      ALIGNLEFT
      END
      P2_Button_Perform_Directory_Check PUSHBUTTON 22 186 222 39
      VALUE "1. Perform Directory Check"
      ALIGNCENTER
      TOOLTIP "Check that the raw data directory has the right subdirectories"
      ONACTIVATE "P2_Handler"
      END
      P2_Label_4 LABEL 10 306 368 22
      VALUE "2. Perform (or reperform) Image Grouping"
      ALIGNLEFT
      END
      P2_Label_5 LABEL 12 380 319 27
      VALUE "3. Edit/Revise Image or Group Table"
      ALIGNLEFT
      END
      P2_Button_Edit_Group_Table PUSHBUTTON 185 408 157 39
      VALUE "Edit Group Table"
      ALIGNCENTER
      TOOLTIP "Display the table of image groups, allow edits"
      ONACTIVATE "P2_Handler"
      END
      P2_Button_Read_Directory_for_Image_List PUSHBUTTON 349 185 222 39
      VALUE "2. Read Directory for Image List"
      ALIGNCENTER
      TOOLTIP "Build the list of images from the raw directory"
      ONACTIVATE "P2_Handler"
      END
      P2_Draw_Directory_Check_LED DRAW 263 194 52 21
      FRAME = 1
      TOOLTIP "Indicates whether RAW1_RAW and CDS_RAW image directories are found (both green), or not (one or the other red)"
      END
      P2_Draw_Read_Directory_LED DRAW 585 195 27 21
      FRAME = 1
      TOOLTIP "Changes to green after the list of image names is read"
      END
      P2_Draw_Build_Image_Log_LED DRAW 258 253 625 20
      FRAME = 1
      TOOLTIP "Progress bar indicating image headers read for this night"
      END
      P2_Draw_Group_Images_LED DRAW 258 343 625 20
      FRAME = 1
      TOOLTIP "Progress bar indicating groups assembled from image list (this bar will not usually fill to completion)"
      END
      P2_Label_6 LABEL 394 382 359 23
      VALUE "4. Save or Print Image/Group Tables"
      ALIGNCENTER
      END
      P2_Button_Save_Image_Group_Tables PUSHBUTTON 389 408 191 39
      VALUE "Save Image/Group Tables"
      ALIGNCENTER
      TOOLTIP "Save to disk the image and group tables, esp after edits"
      ONACTIVATE "P2_Handler"
      END
      P2_Label_7 LABEL 31 42 451 22
      VALUE "A. Open Existing Image/Group Summary Tables for a Night"
      ALIGNLEFT
      END
      P2_Button_Open_Existing_Tables PUSHBUTTON 42 70 400 39
      VALUE "Open Existing Image/Group Tables for a Night"
      ALIGNCENTER
      TOOLTIP "(Re)Open the existing tables for the selected night"
      ONACTIVATE "P2_Handler"
      END
      P2_Label_8 LABEL 116 123 92 18
      VALUE "- OR -"
      ALIGNCENTER
      END
      P2_Label_9 LABEL 30 155 0 0
      VALUE "B. Build (or Rebuild) Directory of Images from CDS Raw Directory"
      ALIGNLEFT
      END
      P2_Button_Print_Group_Table PUSHBUTTON 507 457 157 39
      VALUE "Print Group Table"
      ALIGNCENTER
      GRAYED
      ONACTIVATE "P2_Handler"
      END
      P2_Button_Print_Image_Table PUSHBUTTON 592 408 157 39
      VALUE "Print Image Table"
      ALIGNCENTER
      GRAYED
      ONACTIVATE "P2_Handler"
      END
      P2_Button_Next PUSHBUTTON 837 475 0 0
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click to move to the next Step"
      ONACTIVATE "Next_Handler"
      END
      P2_Button_Help PUSHBUTTON 720 476 0 0
      VALUE "Help/Hints"
      ALIGNCENTER
      TOOLTIP "Select a night to begin - may need to reselect night shown to begin"
      ONACTIVATE "Help_Handler"
      END
    END
    Tab_3_Kokopeli_Analysis BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Part 3: (Optional) Kokopeli Analysis/Repair"
    BEGIN
      P3_Button_Next PUSHBUTTON 835 480 0 0
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click here to move to next Step"
      ONACTIVATE "Next_Handler"
      END
      P3_Button_Help PUSHBUTTON 725 481 0 0
      VALUE "Help/Hints"
      ALIGNCENTER
      TOOLTIP "Bias, Dark, and other short exposure images will often have shifts detected, though with very low certainty (grades of C or lower). These should be ignored if longer exposure images that were taken near in time show no shifts (with A grades)."
      ONACTIVATE "Help_Handler"
      END
      P3_Label_1 LABEL 60 64 0 0
      VALUE "A. Perform Kokopeli Crack Analysis and Repair"
      ALIGNLEFT
      END
      P3_Button_Start_Kokopeli PUSHBUTTON 68 123 288 30
      VALUE "Start Kokopeli Analysis"
      ALIGNCENTER
      TOOLTIP "Click here to start examining the image crack for discontinuities indicating column shift errors"
      ONACTIVATE "P3_Handler"
      END
      P3_Droplist_Select_Night DROPLIST 131 25 0 0
      NUMITEMS = 1
      ITEM "No Nights Processed Yet"
      ONSELECT "P3_Handler"
      END
      P3_Label_3 LABEL 34 28 0 0
      VALUE "1. Select Night"
      ALIGNLEFT
      END
      P3_LED_Bar_1 DRAW 396 126 439 21
      TOOLTIP "Shows progress of the analysis on the full set of images for this night"
      END
      P3_Button_View_Edit_Shifts PUSHBUTTON 66 297 146 32
      VALUE "View/Edit Image Shifts"
      ALIGNCENTER
      TOOLTIP "Display the table of non-zero shifts discovered, allow edits"
      ONACTIVATE "P3_Handler"
      END
      P3_Button_Zero_Shifts PUSHBUTTON 231 298 127 32
      VALUE "Zero All Shifts"
      ALIGNCENTER
      TOOLTIP "Clear all tabulated shifts to zero shift"
      ONACTIVATE "P3_Handler"
      END
      P3_Label_4 LABEL 51 272 0 0
      VALUE "B. Edit Image Shift Table -or- Zero All Image Shift Values"
      ALIGNLEFT
      END
      P3_Label_5 LABEL 52 368 0 0
      VALUE "C. Apply Shift Corrections -or- Skip Correction Application Step"
      ALIGNLEFT
      END
      P3_Button_Ignore_Shifts PUSHBUTTON 228 397 127 32
      VALUE "Ignore All Shifts"
      ALIGNCENTER
      TOOLTIP "For shifts found only in bias and darks, ignore them all"
      ONACTIVATE "P3_Handler"
      END
      P3_Button_Do_Shifts PUSHBUTTON 62 396 146 32
      VALUE "Apply Shift Corrections"
      ALIGNCENTER
      TOOLTIP "For bona-fide shifts, fix the image quadrants"
      ONACTIVATE "P3_Handler"
      END
      P3_LED_Bar_2 DRAW 63 447 465 21
      TOOLTIP "Shows progress on applying shift corrections to the images for this night"
      END
      P3_Label_Group LABEL 71 172 0 0
      VALUE "Group"
      ALIGNLEFT
      END
      P3_Textbox_Group TEXT 117 169 0 0
      NUMITEMS = 1
      ITEM "001"
      WIDTH = 5
      HEIGHT = 1
      END
      P3_Textbox_Image TEXT 246 168 0 0
      NUMITEMS = 1
      ITEM "00000"
      WIDTH = 5
      HEIGHT = 1
      END
      P3_Label_Image LABEL 196 171 0 0
      VALUE "Image"
      ALIGNLEFT
      END
      P3_Textbox_Number TEXT 82 216 0 0
      WIDTH = 6
      HEIGHT = 1
      END
      P3_Label_Number LABEL 144 219 0 0
      VALUE "Number of Images with non-zero shifts"
      ALIGNLEFT
      END
      WID_BASE_0 BASE 74 88 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        P3_Column_Test_Checkbox PUSHBUTTON -1 -1 0 0
        VALUE "Simultaneously perform test for column clocking errors"
        ALIGNLEFT
        ONACTIVATE "P3_Handler"
        END
      END
      P3_Textbox_Column TEXT 397 216 0 0
      WIDTH = 8
      HEIGHT = 1
      END
      WID_LABEL_0 LABEL 490 218 0 0
      VALUE "Number of Images with Column Clocking Errors"
      ALIGNLEFT
      END
    END
    Tab_4_RAW1_Jump_Analysis BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Part 4: RAW1 Jump Analysis"
    BEGIN
      P4_Button_Next PUSHBUTTON 839 479 0 0
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click here to move to the next Step"
      ONACTIVATE "Next_Handler"
      END
      P4_Button_Help PUSHBUTTON 732 481 0 0
      VALUE "Help/Hints"
      ALIGNCENTER
      TOOLTIP "Take the time to work across the image range one group at a time, marking Start and End and Finding jumps in each group."
      ONACTIVATE "Help_Handler"
      END
      P4_Button_Start_RAW1_Examination PUSHBUTTON 42 81 194 30
      VALUE "Start RAW1 Examination"
      ALIGNCENTER
      TOOLTIP "Start examining images for this night for jumps in their mean RAW1 counts"
      ONACTIVATE "P4_Handler"
      END
      P4_Label_2 LABEL 13 59 0 0
      VALUE "A. Examine all RAW1 Images"
      ALIGNLEFT
      END
      P4_Label_1 LABEL 13 10 0 0
      VALUE "1. Select Night"
      ALIGNLEFT
      END
      P4_Droplist_Select_Night DROPLIST 44 28 0 0
      NUMITEMS = 1
      ITEM "No Nights Processed Yet"
      ONSELECT "P4_Handler"
      END
      P4_Label_3 LABEL 12 186 0 0
      VALUE "B. Run the Jump Finder"
      ALIGNLEFT
      END
      P4_Button_Correct_Jumps PUSHBUTTON 43 440 193 30
      VALUE "Correct RAW1 Jumps"
      ALIGNCENTER
      TOOLTIP "Click here to start processing images with identified jumps"
      ONACTIVATE "P4_Handler"
      END
      P4_Label_4 LABEL 13 420 0 0
      VALUE "C. Correct the Jumps"
      ALIGNLEFT
      END
      P4_Draw_Window DRAW 265 25 619 442
      FRAME = 1
      ONBUTTON "P4_Mouse_Handler"
      ONKEYBOARD "P4_Keyboard_Handler"
      END
      P4_Button_Zoom PUSHBUTTON 23 210 102 32
      VALUE "Zoom 2x (Z)"
      ALIGNCENTER
      TOOLTIP "Zoom closer by 2 about the current center"
      ONACTIVATE "P4_Handler"
      END
      P4_Button_Unzoom PUSHBUTTON 135 210 102 32
      VALUE "UnZoom (U)"
      ALIGNCENTER
      TOOLTIP "Unzoom by 2 about the current center"
      ONACTIVATE "P4_Handler"
      END
      P4_Button_Mark_End PUSHBUTTON 136 252 101 32
      VALUE "Mark End (E)"
      ALIGNCENTER
      TOOLTIP "Mark the Ending image for a group of images"
      ONACTIVATE "P4_Handler"
      END
      P4_Button_Mark_Start PUSHBUTTON 22 252 104 32
      VALUE "Mark Start (S)"
      ALIGNCENTER
      TOOLTIP "Mark the Starting image for a group of images"
      ONACTIVATE "P4_Handler"
      END
      P4_Button_Done PUSHBUTTON 136 376 117 32
      VALUE "Done (D)"
      ALIGNCENTER
      TOOLTIP "Click here when all jumps have been marked. This permits moving to the next step"
      ONACTIVATE "P4_Handler"
      END
      P4_Button_Process_Jumps PUSHBUTTON 12 336 115 32
      VALUE "Find Jumps (F)"
      ALIGNCENTER
      TOOLTIP "Find jumps - should be used WITHIN groups, only - not across an entire night of images"
      ONACTIVATE "P4_Handler"
      END
      P4_Button_Print_Summary PUSHBUTTON 40 145 194 30
      VALUE "Print Summary Plot"
      ALIGNCENTER
      TOOLTIP "Print a plot of mean RAW1 count levels for images versus image number in the night"
      ONACTIVATE "P4_Handler"
      END
      P4_LED_0 DRAW 42 119 193 18
      FRAME = 1
      TOOLTIP "Progress bar showing images examined for this night"
      END
      P4_LED_1 DRAW 43 477 193 19
      FRAME = 1
      TOOLTIP "Progress bar indicating images being corrected for RAW1 jumps"
      END
      P4_Button_Show_Groups PUSHBUTTON 137 293 100 32
      VALUE "See Grps (G)"
      ALIGNCENTER
      TOOLTIP "Toggle color overlay indicating different groups"
      ONACTIVATE "P4_Handler"
      END
      P4_Button_Plot_Start_to_End PUSHBUTTON 21 293 105 32
      VALUE "Plot S-to-E (P)"
      ALIGNCENTER
      TOOLTIP "Plot from the Start to the End images selected"
      ONACTIVATE "P4_Handler"
      END
      P4_Button_Mark_Jump PUSHBUTTON 136 336 117 32
      VALUE "Mark Jump (J)"
      ALIGNCENTER
      TOOLTIP "Toggle - mark this image as a jump, or remove jump designation from this image"
      ONACTIVATE "P4_Handler"
      END
      P4_Button_Clear_Jumps PUSHBUTTON 14 376 114 32
      VALUE "Clear Jumps (C)"
      ALIGNCENTER
      TOOLTIP "Clear all image jump designations"
      ONACTIVATE "P4_Handler"
      END
    END
    Tab_5_Bad_Pixel_Mask_Generation BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Part 5: Make Bad Pixel Masks"
    BEGIN
      P5_Button_Next PUSHBUTTON 844 481 0 0
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click here to move to the next Step"
      ONACTIVATE "Next_Handler"
      END
      P5_Button_Help PUSHBUTTON 735 481 0 0
      VALUE "Help/Hints"
      ALIGNCENTER
      TOOLTIP "Try to use the same L and H values for an observing run"
      ONACTIVATE "Help_Handler"
      END
      P5_Draw_Window DRAW 427 104 453 313
      FRAME = 1
      ONBUTTON "P5_Mouse_Handler"
      ONKEYBOARD "P5_Keyboard_Handler"
      END
      P5_Button_View_Edit_Group_BPM_Table PUSHBUTTON 35 68 194 30
      VALUE "View/Edit BPM Group Table"
      ALIGNCENTER
      TOOLTIP "Show the table of groups able to be used to generate bad pixel masks, allow edits"
      ONACTIVATE "P5_Handler"
      END
      P5_Label_1 LABEL 19 47 0 0
      VALUE "2. Identify Groups for Bad Pixel Mask Creation"
      ALIGNLEFT
      END
      P5_Droplist_Select_Night DROPLIST 115 12 0 0
      NUMITEMS = 1
      ITEM "No Nights Read Yet"
      ONSELECT "P5_Handler"
      END
      P5_Label_0 LABEL 17 13 0 0
      VALUE "1. Select Night"
      ALIGNLEFT
      END
      P5_Label_2 LABEL 20 116 0 0
      VALUE "3. Select Processing Options"
      ALIGNLEFT
      END
      P5_Base_1 BASE 456 427 208 78
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        P5_Text_High_Cut TEXT 13 43 0 0
        NUMITEMS = 1
        ITEM "+100"
        ALLEVENTS
        WIDTH = 7
        HEIGHT = 1
        END
        P5_Label_7 LABEL 92 42 0 0
        VALUE "High Cut Value"
        ALIGNLEFT
        END
        P5_Label_6 LABEL 96 14 0 0
        VALUE "Low Cut Value"
        ALIGNLEFT
        END
        P5_Text_Low_Cut TEXT 12 11 0 0
        NUMITEMS = 2
        ITEM "-100"
        ITEM ""
        ALLEVENTS
        WIDTH = 7
        HEIGHT = 1
        END
      END
      P5_Base_0 BASE 31 139 376 112
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        P5_Label_3 LABEL 32 5 0 0
        VALUE "Histogram Analysis:"
        ALIGNLEFT
        END
        P5_Label_Radio_Every BASE 43 81 106 22
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          P5_Radio_Button_Every PUSHBUTTON -1 -1 0 0
          VALUE "Every BPM"
          ALIGNLEFT
          TOOLTIP "Click here to do histogram analysis on every bad pixel mask to be created (warning - this is slow)"
          ONACTIVATE "P5_Handler"
          END
        END
        P5_Label_Radio_First BASE 43 55 122 22
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          P5_Radio_Button_First PUSHBUTTON -1 -1 0 0
          VALUE "First BPM Only"
          ALIGNLEFT
          TOOLTIP "Click here to do histogram analysis only for the first bad pixel mask to be created"
          ONACTIVATE "P5_Handler"
          END
        END
        P5_Label_Radio_Never BASE 13 26 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          P5_Radio_Button_Never PUSHBUTTON -1 -1 0 0
          VALUE "Never (Use Default High/Low)"
          ALIGNLEFT
          TOOLTIP "Click here to skip histogram creation and use low and high cut values to find bad pixels"
          ONACTIVATE "P5_Handler"
          END
        END
        P5_Label_4 LABEL 220 31 0 0
        VALUE "Histogram Creation:"
        ALIGNLEFT
        END
        P5_Label_Radio_One BASE 213 52 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          P5_Radio_Button_One PUSHBUTTON -1 -1 0 0
          VALUE "Use First Image Only"
          ALIGNLEFT
          TOOLTIP "Click here to do histogram analysis only on the first image in the group being used to create the bad pixel mask"
          ONACTIVATE "P5_Handler"
          END
        END
        P5_Label_Radio_All BASE 214 79 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          P5_Radio_Button_All PUSHBUTTON -1 -1 0 0
          VALUE "Use All Images"
          ALIGNLEFT
          TOOLTIP "Click here to use all the images in a group to build the histogram for bad pixel mask generation (warning - slower)"
          ONACTIVATE "P5_Handler"
          END
        END
      END
      P5_Label_5 LABEL 16 314 0 0
      VALUE "4. Begin Computation of Bad Pixel Masks"
      ALIGNLEFT
      END
      P5_Button_Start_BPM_Creation PUSHBUTTON 29 342 194 30
      VALUE "Start Making Bad Pixel Masks"
      ALIGNCENTER
      TOOLTIP "Click here to start making bad pixel masks"
      ONACTIVATE "P5_Handler"
      END
      P5_LED_1 DRAW 30 386 193 18
      FRAME = 1
      END
      P5_Label_8 LABEL 23 488 0 0
      VALUE "5. (Optional) View Histograms and Statistics for BPMs"
      ALIGNLEFT
      END
      P5_Droplist_Select_BPM_Histo DROPLIST 48 512 0 0
      NUMITEMS = 2
      ITEM "No BPM Selected"
      ITEM " Yet"
      ONSELECT "P5_Handler"
      END
      P5_Text_BPM_Number TEXT 237 345 0 0
      NUMITEMS = 1
      ITEM "YYYYMMDD"
      WIDTH = 11
      HEIGHT = 1
      END
      P5_Text_Rejected_Pixel_Count TEXT 245 384 0 0
      WIDTH = 9
      HEIGHT = 1
      END
      P5_Label_9 LABEL 335 348 0 0
      VALUE "BPM Number"
      ALIGNLEFT
      END
      P5_Label_10 LABEL 323 388 0 0
      VALUE "N_Bad"
      ALIGNLEFT
      END
      P5_Base_2 BASE 31 418 365 55
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        P5_Button_Low_Cut PUSHBUTTON 9 11 108 32
        VALUE "Set Low Cut (L)"
        ALIGNCENTER
        TOOLTIP "Move cursor, click mouse button, then click here or press "
        ONACTIVATE "P5_Handler"
        END
        P5_Button_High_Cut PUSHBUTTON 129 11 108 32
        VALUE "Set High Cut (H)"
        ALIGNCENTER
        TOOLTIP "Move cursor, click mouse, then click here or hit the "
        ONACTIVATE "P5_Handler"
        END
        P5_Button_Continue PUSHBUTTON 249 11 108 32
        VALUE "Continue (C)"
        ALIGNCENTER
        TOOLTIP "Click here to accept the L and H values and to apply them to the remaining bad pixel masks to be generated"
        ONACTIVATE "P5_Handler"
        END
      END
      P5_Base_3 BASE 31 257 377 44
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        WID_BASE_1 BASE 9 10 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          P5_Radio_Button_Single PUSHBUTTON -1 -1 0 0
          VALUE "One BPM / Night"
          ALIGNLEFT
          TOOLTIP "Click here to select only a single bad pixel mask to be computed for a night (the first in the list)"
          ONACTIVATE "P5_Handler"
          END
        END
        WID_BASE_2 BASE 174 9 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          P5_Radio_Button_Multiple PUSHBUTTON -1 -1 0 0
          VALUE "Multiple BPMs / Night"
          ALIGNLEFT
          TOOLTIP "Click here to select computation of a new bad pixel mask for every bias group for a night"
          ONACTIVATE "P5_Handler"
          END
        END
      END
    END
    Tab_6_Manage_Linearity_Tables BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Part 6: Manage Linearity Tables"
    BEGIN
      P6_Button_Next PUSHBUTTON 836 481 0 0
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click here to move to next Step"
      ONACTIVATE "Next_Handler"
      END
      P6_Button_Help PUSHBUTTON 726 481 0 0
      VALUE "Help/Hints"
      ALIGNCENTER
      TOOLTIP "After 2007, most Mimir runs use Method 2"
      ONACTIVATE "Help_Handler"
      END
      P6_Label_0 LABEL 23 12 0 0
      VALUE "1. Select Major Function"
      ALIGNLEFT
      END
      P6_Button_Make_New_Tables PUSHBUTTON 21 36 0 0
      VALUE "Make New Linearity Tables"
      ALIGNCENTER
      TOOLTIP "Click here to create a new set of linearity tables"
      ONACTIVATE "P6_Handler"
      END
      P6_Button_List_All_Tables PUSHBUTTON 88 107 0 0
      VALUE "List Registered Linearity Tables"
      ALIGNCENTER
      TOOLTIP "Show a list of the linearity tables known to the program"
      ONACTIVATE "P6_Handler"
      END
      P6_Button_Import_Existing_Table PUSHBUTTON 49 72 0 0
      VALUE "Find Existing Linearity Tables"
      ALIGNCENTER
      TOOLTIP "Click here to remind the program where existing linearity tables reside"
      ONACTIVATE "P6_Handler"
      END
      P6_Label_1 LABEL 16 145 0 0
      VALUE "2. Build Image List for New Linearity Table"
      ALIGNLEFT
      END
      P6_Droplist_Nights DROPLIST 135 167 0 0
      NUMITEMS = 1
      ITEM "No Nights Read Yet"
      ONSELECT "P6_Handler"
      END
      P6_Label_2 LABEL 33 170 0 0
      VALUE "A. Select Night"
      ALIGNLEFT
      END
      P6_Label_6 LABEL 408 23 0 0
      VALUE "3. Make Linearity Tables"
      ALIGNLEFT
      END
      P6_Button_Show_Pixel_Plot PUSHBUTTON 457 278 86 22
      VALUE "Show Pixel Plot"
      ALIGNCENTER
      TOOLTIP "Show run of counts vs exposure time for one pixel (you can change the X and Y value of the pixel by putting new numbers in the boxes below and selecting this button again)"
      ONACTIVATE "P6_Handler"
      END
      P6_Text_X TEXT 454 314 0 0
      ONCONTEXTEVENT "P6_Text_Handler"
      NUMITEMS = 1
      ITEM "X-Value"
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "P6_Text_Handler"
      ONSELECT "P6_Text_Handler"
      WIDTH = 8
      HEIGHT = 1
      END
      P6_Label_7 LABEL 524 314 0 0
      VALUE "X (Col.)"
      ALIGNLEFT
      END
      P6_Label_8 LABEL 524 346 0 0
      VALUE "Y (Row)"
      ALIGNLEFT
      END
      P6_Text_Y TEXT 454 346 0 0
      ONCONTEXTEVENT "P6_Text_Handler"
      NUMITEMS = 1
      ITEM "X-Value"
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "P6_Text_Handler"
      ONSELECT "P6_Text_Handler"
      WIDTH = 8
      HEIGHT = 1
      END
      P6_Label_9 LABEL 425 251 0 0
      VALUE "C. (Optional) View Pixel Plot"
      ALIGNLEFT
      END
      P6_Draw_Window DRAW 611 27 288 433
      END
      P6_Label_10 LABEL 427 382 0 0
      VALUE "D. Compute Linearity Tables"
      ALIGNLEFT
      END
      P6_Button_Start_Linearity_Computation PUSHBUTTON 454 409 0 0
      VALUE "Start Linearity Calc."
      ALIGNCENTER
      TOOLTIP "Using the images in memory, compute the linearity tables"
      ONACTIVATE "P6_Handler"
      END
      P6_LED_2 DRAW 436 447 142 22
      TOOLTIP "Progress bar for linearity tables calculation"
      END
      P6_Label_13 LABEL 424 46 0 0
      VALUE "A. Read Directory of Images"
      ALIGNLEFT
      END
      P6_Button_Read_Directory PUSHBUTTON 459 71 0 0
      VALUE "Read Directory"
      ALIGNCENTER
      TOOLTIP "Click here to read the contents of the directory of coadded images"
      ONACTIVATE "P6_Handler"
      END
      P6_Button_View_Edit_Coadded_Images PUSHBUTTON 459 103 0 0
      VALUE "View/Edit Files"
      ALIGNCENTER
      TOOLTIP "Show table of images in the coadd directory, allow edits"
      ONACTIVATE "P6_Handler"
      END
      P6_Button_Read_Coadded_Images PUSHBUTTON 449 173 0 0
      VALUE "Read Comb. Images"
      ALIGNCENTER
      TOOLTIP "Click here to read the coadded images into memory for building linearity tables"
      ONACTIVATE "P6_Handler"
      END
      P6_Label_14 LABEL 421 149 0 0
      VALUE "B. Read Images into Memory"
      ALIGNLEFT
      END
      P6_LED_1 DRAW 438 210 142 22
      TOOLTIP "Progress bar for reading coadded images from disk"
      END
      P6_Tab_Method TAB 11 204 403 313
      ONTABCHANGE "P6_Tab_Handler"
      BEGIN
        P6_Tab_Method_1 BASE 0 0 395 287
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Method 1: Repeat Exposures"
        BEGIN
          P6_Droplist_Bias_Groups DROPLIST 43 71 0 0
          NUMITEMS = 2
          ITEM "No Groups Read In Yet"
          ITEM ""
          ONSELECT "P6_Handler"
          END
          P6_Label_15 LABEL 213 76 0 0
          VALUE "Bias Group"
          ALIGNLEFT
          END
          P6_Label_16 LABEL 212 47 0 0
          VALUE "Linearity Group"
          ALIGNLEFT
          END
          P6_Button_View_Matches PUSHBUTTON 170 133 0 0
          VALUE "View/Edit Match Plan"
          ALIGNCENTER
          TOOLTIP "Show table of images matched into groups, allow edits"
          ONACTIVATE "P6_Handler"
          END
          P6_Button_Make_Matches PUSHBUTTON 22 133 0 0
          VALUE "Match Images"
          ALIGNCENTER
          TOOLTIP "Click here to match images into same exposure groups"
          ONACTIVATE "P6_Handler"
          END
          P6_Label_17 LABEL 6 106 0 0
          VALUE "C. Match Images in Group for Linearity Calculation"
          ALIGNLEFT
          END
          P6_Droplist_Linearity_Groups DROPLIST 44 41 0 0
          NUMITEMS = 2
          ITEM "No Groups Read In Yet"
          ITEM ""
          ONSELECT "P6_Handler"
          END
          P6_Label_18 LABEL 9 18 0 0
          VALUE "B. Select One Linearity, One Bias Group"
          ALIGNLEFT
          END
          P6_LED_0 DRAW 22 232 271 19
          TOOLTIP "Progress indicator for combining images in groups into coadded images"
          END
          P6_Button_Combine_Matches PUSHBUTTON 65 198 0 0
          VALUE "Start Combining Matched Images"
          ALIGNCENTER
          TOOLTIP "Click here to begin coadding images in groups to improve S/N"
          ONACTIVATE "P6_Handler"
          END
          P6_Label_5 LABEL 8 172 0 0
          VALUE "D. Combine Matched Images"
          ALIGNLEFT
          END
        END
        P6_Tab_Method_2 BASE 0 0 395 287
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Method 2: Repeat Runs"
        BEGIN
          P6_Label_19 LABEL 9 10 0 0
          VALUE "B. Select First, Last Linearity and Bias Groups"
          ALIGNLEFT
          END
          P6_Label_20 LABEL 170 96 0 0
          VALUE "Linearity"
          ALIGNLEFT
          END
          P6_Droplist_Linearity_First_Group DROPLIST 8 93 0 0
          NUMITEMS = 2
          ITEM "No Groups Read In Yet"
          ITEM ""
          ONSELECT "P6_Handler"
          END
          P6_Label_21 LABEL 176 57 0 0
          VALUE "Bias"
          ALIGNLEFT
          END
          P6_Droplist_Bias_First_Group DROPLIST 9 52 0 0
          NUMITEMS = 2
          ITEM "No Groups Read In Yet"
          ITEM ""
          ONSELECT "P6_Handler"
          END
          P6_Label_22 LABEL 16 131 0 0
          VALUE "C. Match Images in Group for Linearity Calculation"
          ALIGNLEFT
          END
          P6_Button_Make_Matches_Method_2 PUSHBUTTON 37 155 0 0
          VALUE "Match Images"
          ALIGNCENTER
          ONACTIVATE "P6_Handler"
          END
          P6_Button_View_Matches_Method_2 PUSHBUTTON 185 156 0 0
          VALUE "View/Edit Match Plan"
          ALIGNCENTER
          ONACTIVATE "P6_Handler"
          END
          P6_Droplist_Linearity_Last_Group DROPLIST 234 94 0 0
          NUMITEMS = 2
          ITEM "No Groups Read In Yet"
          ITEM ""
          ONSELECT "P6_Handler"
          END
          P6_Droplist_Bias_Last_Group DROPLIST 235 53 0 0
          NUMITEMS = 2
          ITEM "No Groups Read In Yet"
          ITEM ""
          ONSELECT "P6_Handler"
          END
          P6_Label_23 LABEL 29 31 0 0
          VALUE "First Group"
          ALIGNLEFT
          END
          P6_Label_24 LABEL 253 32 0 0
          VALUE "Last Group"
          ALIGNLEFT
          END
          P6_LED_3 DRAW 24 250 271 19
          END
          P6_Button_Combine_Matches_Method_2 PUSHBUTTON 72 214 0 0
          VALUE "Start Combining Matched Images"
          ALIGNCENTER
          ONACTIVATE "P6_Handler"
          END
          P6_Label_11 LABEL 15 193 0 0
          VALUE "D. Combine Matched Images"
          ALIGNLEFT
          END
        END
      END
    END
    Tab_7_Create_Ave_RAW1_Images BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Part 7: Make Ave RAW1 Images"
    BEGIN
      P7_Button_Next PUSHBUTTON 841 483 0 0
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click here to move to next Step"
      ONACTIVATE "Next_Handler"
      END
      P7_Button_Help PUSHBUTTON 733 482 0 0
      VALUE "Help/Hints"
      ALIGNCENTER
      TOOLTIP "This looks alot like BPM calcs, but is different and necessary"
      ONACTIVATE "Help_Handler"
      END
      P7_Label_1 LABEL 29 36 0 0
      VALUE "1. Select Night"
      ALIGNLEFT
      END
      P7_Droplist_Select_Night DROPLIST 127 35 0 0
      NUMITEMS = 1
      ITEM "No Nights Read Yet"
      ONSELECT "P7_Handler"
      END
      P7_Label_2 LABEL 31 85 0 0
      VALUE "2. Identify Groups for Ave RAW1 Image Creation"
      ALIGNLEFT
      END
      P7_Button_View_Edit_Groups PUSHBUTTON 47 109 0 0
      VALUE "View/Edit Ave RAW1 Group Table"
      ALIGNCENTER
      TOOLTIP "Show table of groups of images that may be used to compute Average RAW1 images, allow edits"
      ONACTIVATE "P7_Handler"
      END
      P7_Label_4 LABEL 351 202 0 0
      VALUE "Ave RAW1 Number"
      ALIGNLEFT
      END
      P7_Text_Ave_RAW1_Number TEXT 253 199 0 0
      NUMITEMS = 1
      ITEM "YYYYMMDD"
      WIDTH = 12
      HEIGHT = 1
      END
      P7_LED_0 DRAW 46 240 398 24
      FRAME = 1
      TOOLTIP "Progress bar for computing Ave RAW1 images"
      END
      P7_Button_Start_Image_Creation PUSHBUTTON 45 196 0 0
      VALUE "Start Making Ave RAW1 Images"
      ALIGNCENTER
      TOOLTIP "Click here to start creating Ave RAW1 images"
      ONACTIVATE "P7_Handler"
      END
      P7_Label_3 LABEL 32 168 0 0
      VALUE "3. Begin Computation of Ave RAW1 Images"
      ALIGNLEFT
      END
    END
    Tab_8_Apply_Linearity_Correction BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Part 8: Apply Linearity Corrections"
    BEGIN
      P8_Button_Next PUSHBUTTON 840 481 0 0
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click here to move to next Step"
      ONACTIVATE "Next_Handler"
      END
      P8_Button_Help PUSHBUTTON 728 483 0 0
      VALUE "Help/Hints"
      ALIGNCENTER
      TOOLTIP "User can select proper linearity table by removing all others"
      ONACTIVATE "Help_Handler"
      END
      P8_Label_3 LABEL 80 224 0 0
      VALUE "B. Perform Linearity Correction"
      ALIGNLEFT
      END
      P8_Button_Start_Linearity_Correction PUSHBUTTON 112 253 0 0
      VALUE "Start Linearity Correction"
      ALIGNCENTER
      TOOLTIP "Click here to begin applying linearity correction to the images for this night"
      ONACTIVATE "P8_Handler"
      END
      P8_LED_0 DRAW 18 296 849 18
      FRAME = 1
      TOOLTIP "Progress bar for linearity correction applied to images for this night"
      END
      P8_Text_Group_Number TEXT 301 255 0 0
      NUMITEMS = 1
      ITEM "YYYYMMDD"
      WIDTH = 12
      HEIGHT = 1
      END
      P8_Label_4 LABEL 399 258 0 0
      VALUE "Current Group Number"
      ALIGNLEFT
      END
      P8_Button_View_Edit_Groups PUSHBUTTON 114 181 0 0
      VALUE "View/Edit Group Table"
      ALIGNCENTER
      TOOLTIP "Show table of groups for this night, allow edits"
      ONACTIVATE "P8_Handler"
      END
      P8_Label_2 LABEL 78 151 0 0
      VALUE "A. Review/Assign Groups for Linearity Correction"
      ALIGNLEFT
      END
      P8_Droplist_Select_Night DROPLIST 134 111 0 0
      NUMITEMS = 1
      ITEM "No Nights Read Yet"
      ONSELECT "P8_Handler"
      END
      P8_Label_1 LABEL 36 112 0 0
      VALUE "2. Select Night"
      ALIGNLEFT
      END
      P8_Label_5 LABEL 34 31 0 0
      VALUE "1. View Registered Linearity Tables and Designations"
      ALIGNLEFT
      END
      P8_Button_View_Linearity_Tables PUSHBUTTON 80 60 0 0
      VALUE "View Registered Linearity Tables"
      ALIGNCENTER
      TOOLTIP "Show table of linearity tables known to the program"
      ONACTIVATE "P8_Handler"
      END
    END
    Tab_9_Create_Dark_Images BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Part 9: Make Dark Images"
    BEGIN
      P9_Button_Next PUSHBUTTON 835 479 0 0
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click here to move to next Step"
      ONACTIVATE "Next_Handler"
      END
      P9_Button_Help PUSHBUTTON 723 482 0 0
      VALUE "Help/Hints"
      ALIGNCENTER
      TOOLTIP "TBD"
      ONACTIVATE "Help_Handler"
      END
      P9_Label_1 LABEL 32 26 0 0
      VALUE "1. Find all Dark Groups in the Run (all nights)"
      ALIGNLEFT
      END
      P9_Button_Discover_Dark_Groups PUSHBUTTON 79 52 0 0
      VALUE "Discover All Dark Groups"
      ALIGNCENTER
      TOOLTIP "Examine group table to identify all dark current image groups"
      ONACTIVATE "P9_Handler"
      END
      P9_Label_2 LABEL 34 108 0 0
      VALUE "2. View/Edit List of All Dark Groups"
      ALIGNLEFT
      END
      P9_Button_Edit_Dark_Group_List PUSHBUTTON 82 135 0 0
      VALUE "View/Edit Dark Group List"
      ALIGNCENTER
      TOOLTIP "Show table of dark current groups, allow edits"
      ONACTIVATE "P9_Handler"
      END
      P9_Button_Compute_Dark_Images PUSHBUTTON 83 216 0 0
      VALUE "Compute Dark Images"
      ALIGNCENTER
      TOOLTIP "Click here to start coadding dark images in groups into coadded darks"
      ONACTIVATE "P9_Handler"
      END
      P9_Label_3 LABEL 35 189 0 0
      VALUE "3. Compute Average Dark Images"
      ALIGNLEFT
      END
      P9_LED_0 DRAW 51 263 425 20
      TOOLTIP "Progress bar for creation of dark images"
      END
    END
    Tab_10_Create_Flat_Field_Images BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Part 10: Make Flat Field Images"
    BEGIN
      P10_Button_Next PUSHBUTTON 838 480 0 0
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click here to move to next Step"
      ONACTIVATE "Next_Handler"
      END
      P10_Button_Help PUSHBUTTON 733 481 0 0
      VALUE "Help/Hints"
      ALIGNCENTER
      TOOLTIP "Creation of flats for photometry and spectroscopy is separate from creation of flats for polarimetry - must run both tabs to compute all flats"
      ONACTIVATE "Help_Handler"
      END
      P10_Tab_Base TAB 28 42 695 504
      ONTABCHANGE "P10_Tab_Handler"
      BEGIN
        P10_Base_Photometric BASE 0 0 687 478
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Photometric, Spectroscopic Flat Fields"
        BEGIN
          P10_Button_Photometric_Coadd_Group_Images PUSHBUTTON 59 156 0 0
          VALUE "Average Grouped Images"
          ALIGNCENTER
          TOOLTIP "Click here to compute coadded versions of groups of flat field images"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_3 LABEL 11 137 0 0
          VALUE "3. Average Images in Each Group"
          ALIGNLEFT
          END
          P10_Label_2 LABEL 11 15 0 0
          VALUE "1. Find I- and S- Flat Field Groups in the Run (all nights)"
          ALIGNLEFT
          END
          P10_Button_Photometric_Discover_Groups PUSHBUTTON 58 35 0 0
          VALUE "Discover All Flat Groups"
          ALIGNCENTER
          TOOLTIP "Read group table to identify possible photometric and spectroscopic flat image groups"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_4 LABEL 10 223 0 0
          VALUE "4. Match Lights-On and -Off Images"
          ALIGNLEFT
          END
          P10_Button_Photometric_Match_On_Off_Pairs PUSHBUTTON 58 247 0 0
          VALUE "Match On-Off Image Pairs"
          ALIGNCENTER
          TOOLTIP "Match lights-on coadds with lights-off coadds"
          ONACTIVATE "P10_Handler"
          END
          P10_Button_Photometric_View_On_Off_Matches PUSHBUTTON 60 301 0 0
          VALUE "View On-Off Matches"
          ALIGNCENTER
          TOOLTIP "Show table of matched lights-on and lights-off coadd images"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_5 LABEL 12 281 0 0
          VALUE "5. View On-Off Matches"
          ALIGNLEFT
          END
          P10_Photometric_Draw_Window DRAW 315 51 362 286
          END
          P10_LED_0 DRAW 14 188 244 20
          TOOLTIP "Progress bar for flat field image coadding"
          END
          P10_Label_6 LABEL 11 336 0 0
          VALUE "6. Compute Difference (On-Off) Images"
          ALIGNLEFT
          END
          P10_Button_Photometric_Compute_Difference_Images PUSHBUTTON 57 357 0 0
          VALUE "Compute Difference Flat Images"
          ALIGNCENTER
          TOOLTIP "Click here to start computing difference images (lights-on minus lights-off) to remove dark and thermal components"
          ONACTIVATE "P10_Handler"
          END
          P10_Button_Photometric_Determine_Normalizations PUSHBUTTON 61 418 0 0
          VALUE "Determine Normalization Factors"
          ALIGNCENTER
          TOOLTIP "Click here to measure average counts across fixed regions to use as normalization factors (see plots)"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_7 LABEL 13 397 0 0
          VALUE "7. Determine Normalization Factors"
          ALIGNLEFT
          END
          P10_Label_8 LABEL 10 75 0 0
          VALUE "2. View/Edit all Flat Field Groups"
          ALIGNLEFT
          END
          P10_Button_Photometric_View_Edit_Flat_Groups PUSHBUTTON 57 98 0 0
          VALUE "View/Edit Flat Field Groups"
          ALIGNCENTER
          TOOLTIP "Show table of proposed photometric and spectroscopic flat field image groups, allow edits"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_9 LABEL 380 351 0 0
          VALUE "8. View Normalization Table"
          ALIGNLEFT
          END
          P10_Button_Photometric_View_Normalizations PUSHBUTTON 428 372 0 0
          VALUE "View Normalizations"
          ALIGNCENTER
          TOOLTIP "Show table of normalization factors determined (color coded to identify problems)"
          ONACTIVATE "P10_Handler"
          END
          P10_Button_Photometric_Normalize PUSHBUTTON 432 433 0 0
          VALUE "Apply Normalizations"
          ALIGNCENTER
          TOOLTIP "Click here to begin division of coadds by their normalization factors to create normalized flat field images"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_10 LABEL 384 412 0 0
          VALUE "9. Normalize Final Flat Images"
          ALIGNLEFT
          END
        END
        P10_Base_Polarimetric BASE 0 0 687 478
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Polarimetric Flat Fields"
        BEGIN
          P10_Button_Polarimetric_View_Edit_Flat_Groups PUSHBUTTON 68 99 0 0
          VALUE "View/Edit Pol. FF Group List"
          ALIGNCENTER
          TOOLTIP "Show table of polarimetric flat field groups, allow edits"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_21 LABEL 21 76 0 0
          VALUE "2. View/Edit Pol. Flat Field Groups"
          ALIGNLEFT
          END
          P10_Label_20 LABEL 23 15 0 0
          VALUE "1. Find all P- Flat Field Groups in the Run (all nights)"
          ALIGNLEFT
          END
          P10_Button_Polarimetric_Discover_Groups PUSHBUTTON 70 39 0 0
          VALUE "Discover Pol. Flat Groups"
          ALIGNCENTER
          TOOLTIP "Read group table to identify images groups to use as polarimetric flat fields"
          ONACTIVATE "P10_Handler"
          END
          P10_Button_Polarimetric_Normalize PUSHBUTTON 314 364 0 0
          VALUE "Apply Normalizations"
          ALIGNCENTER
          TOOLTIP "Click here to start division of HWP difference coadds by their normalization factors to produce normalized HWP flat field images"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_11 LABEL 298 342 0 0
          VALUE "9. Normalize Final Flat Images"
          ALIGNLEFT
          END
          P10_Button_Polarimetric_View_Normalizations PUSHBUTTON 316 303 0 0
          VALUE "View Normalizations"
          ALIGNCENTER
          TOOLTIP "Show table of normalization factors (color coded to show problems)"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_12 LABEL 305 281 0 0
          VALUE "8. View Normalization Table"
          ALIGNLEFT
          END
          P10_Polarimetric_Draw_Window DRAW 306 40 362 219
          END
          P10_Button_Polarimetric_Determine_Normalizations PUSHBUTTON 69 425 0 0
          VALUE "Determine Normalization Factors"
          ALIGNCENTER
          TOOLTIP "Click here to start determining average counts across fixed regions to serve as normalization factors"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_13 LABEL 21 404 0 0
          VALUE "7. Determine Normalization Factors"
          ALIGNLEFT
          END
          P10_Button_Polarimetric_Compute_Difference_Images PUSHBUTTON 65 364 0 0
          VALUE "Compute Difference Flat Images"
          ALIGNCENTER
          TOOLTIP "Click here to start computing difference images (lights-on minus lights-off) for each HWP angle"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_14 LABEL 19 343 0 0
          VALUE "6. Compute Difference (On-Off) Images"
          ALIGNLEFT
          END
          P10_Button_Polarimetric_View_On_Off_Matches PUSHBUTTON 68 308 0 0
          VALUE "View On-Off Matches"
          ALIGNCENTER
          TOOLTIP "Show table of matches of lights-on HWP coadds to lights-off HWP coadds"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_15 LABEL 20 288 0 0
          VALUE "5. View On-Off Matches"
          ALIGNLEFT
          END
          P10_Button_Polarimetric_Match_On_Off_Pairs PUSHBUTTON 66 254 0 0
          VALUE "Match On-Off Image Pairs"
          ALIGNCENTER
          TOOLTIP "Click here to match lights-on HWP coadds to lights-off HWP coadds"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_16 LABEL 18 230 0 0
          VALUE "4. Match Lights-On and -Off Images"
          ALIGNLEFT
          END
          P10_LED_1 DRAW 22 195 244 20
          TOOLTIP "Progress bar for coadding HWP image groups"
          END
          P10_Button_Polarimetric_Coadd_Group_Images PUSHBUTTON 67 163 0 0
          VALUE "Average Grouped Images"
          ALIGNCENTER
          TOOLTIP "Click here to start averaging images in each HWP group"
          ONACTIVATE "P10_Handler"
          END
          P10_Label_17 LABEL 19 144 0 0
          VALUE "3. Average Images in Each Group"
          ALIGNLEFT
          END
          P10_Label_18 LABEL 292 405 0 0
          VALUE "10. Test Pol Flats for Zero Hop"
          ALIGNLEFT
          END
          P10_Button_Polarimetric_Do_Zero_Hop_Test PUSHBUTTON 322 427 0 0
          VALUE "Do Zero Hop Test"
          ALIGNCENTER
          TOOLTIP "Click here to check Pol flats for Zero Hop problem"
          ONACTIVATE "P10_Handler"
          END
          P10_Textbox_Polarimetric_Zero_Hop_Test_Results TEXT 486 314 179 78
          SCROLL
          WIDTH = 20
          HEIGHT = 2
          END
          P10_Label_19 LABEL 505 289 0 0
          VALUE "Results of Zero Hop Test"
          ALIGNLEFT
          END
          P10_Label_22 LABEL 489 406 0 0
          VALUE "11. Perform Zero Hop Fix"
          ALIGNLEFT
          END
          P10_Button_Polarimetric_Fix_Zero_Hops PUSHBUTTON 504 428 0 0
          VALUE "Fix Zero Hop in Flats"
          ALIGNCENTER
          TOOLTIP "Click here to repair all Pol flat groups showing Zero Hops"
          ONACTIVATE "P10_Handler"
          END
        END
      END
      P10_Label_1 LABEL 31 18 0 0
      VALUE "Select Polarimetric or Non-Polarimetric Flat Field Processing"
      ALIGNLEFT
      END
    END
    Tab_11_Measure_Readout_Time BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Part 11: Measure Readout Time"
    BEGIN
      P11_Button_Next PUSHBUTTON 841 482 0 0
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click here to move to next Step"
      ONACTIVATE "Next_Handler"
      END
      P11_Button_Help PUSHBUTTON 724 483 0 0
      VALUE "Help/Hints"
      ALIGNCENTER
      TOOLTIP "For now, use method A"
      ONACTIVATE "Help_Handler"
      END
      P11_Label_1 LABEL 24 23 0 0
      VALUE "Do Either Option-A or Option-B:"
      ALIGNLEFT
      END
      P11_Base_Option_A BASE 18 53 354 87
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        P11_Textbox_Read_Time_Value TEXT 22 45 0 0
        NUMITEMS = 1
        ITEM "0.223114"
        EDITABLE
        ALLEVENTS
        ONINSERTCHAR "P11_Text_Handler"
        ONINSERTSTRING "P11_Text_Handler"
        WIDTH = 13
        HEIGHT = 1
        END
        P11_Label_2 LABEL 17 15 0 0
        VALUE "A. Use Previously Determined Value for the Read Time"
        ALIGNLEFT
        END
        P11_Label_3 LABEL 150 49 0 0
        VALUE "Use (or modify) this read time"
        ALIGNLEFT
        END
      END
      P11_Base_Option_B BASE 391 50 493 390
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        P11_Button_Compute_Read_Time_Image PUSHBUTTON 48 251 0 0
        VALUE "Compute Read Time Image"
        ALIGNCENTER
        ONACTIVATE "P11_Handler"
        END
        P11_Button_Read_LC_Images PUSHBUTTON 46 170 0 0
        VALUE "Read Linearity-Corrected Images"
        ALIGNCENTER
        ONACTIVATE "P11_Handler"
        END
        P11_Button_Linearity_Correct PUSHBUTTON 42 91 0 0
        VALUE "Linearity-Correct Listed Images"
        ALIGNCENTER
        ONACTIVATE "P11_Handler"
        END
        P11_Label_4 LABEL 25 20 0 0
        VALUE "B. Measure the Read Time from Linearity Run Images"
        ALIGNLEFT
        END
        P11_Button_Discover_Linearity_Images PUSHBUTTON 40 50 0 0
        VALUE "Discover Linearity Images"
        ALIGNCENTER
        ONACTIVATE "P11_Handler"
        END
        P11_Button_View_Edit_Linearity_List PUSHBUTTON 244 49 0 0
        VALUE "View List of Selected Linearity Images"
        ALIGNCENTER
        ONACTIVATE "P11_Handler"
        END
        P11_LED_0 DRAW 44 130 284 20
        END
        P11_LED_2 DRAW 48 287 196 20
        END
        P11_LED_1 DRAW 46 209 195 22
        END
        P11_Button_Analyze_Read_Time_Image PUSHBUTTON 49 324 0 0
        VALUE "Analyze Read Time Image"
        ALIGNCENTER
        ONACTIVATE "P11_Handler"
        END
      END
    END
    Tab_12_Perform_All_Corrections BASE 0 0 912 582
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "12. Perform Dark, Flat Corrections"
    BEGIN
      P12_Label_1 LABEL 27 25 0 0
      VALUE "1. Select a Night"
      ALIGNLEFT
      END
      P12_Droplist_Select_Night DROPLIST 133 22 0 0
      NUMITEMS = 1
      ITEM "No Nights Read Yet"
      ONSELECT "P12_Handler"
      END
      P12_Tab_Base TAB 20 67 863 447
      ONTABCHANGE "P12_Tab_Handler"
      BEGIN
        P12_Tab_Phot_Spec BASE 0 0 855 421
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Imaging, Spectroscopy"
        BEGIN
          P12_Label_2 LABEL 26 28 0 0
          VALUE "A. Find, Edit Groups to Process"
          ALIGNLEFT
          END
          P12_Button_Phot_Spec_View_Edit_Groups PUSHBUTTON 48 96 0 0
          VALUE "Vew/Edit Groups"
          ALIGNCENTER
          TOOLTIP "Show table of image groups, their proposed flat-field images, and their proposed dark current images, and allow edits"
          ONACTIVATE "P12_Handler"
          END
          P12_Button_Phot_Spec_Do_Corrections PUSHBUTTON 42 165 0 0
          VALUE "Apply All Corrections"
          ALIGNCENTER
          TOOLTIP "Click here to start applying dark current and flat field corrections to selected image groups"
          ONACTIVATE "P12_Handler"
          END
          P12_Label_3 LABEL 23 137 0 0
          VALUE "B. Perform All Corrections"
          ALIGNLEFT
          END
          P12_LED_0 DRAW 26 207 778 21
          TOOLTIP "Progress bar for processing of images in groups for this night"
          END
          P12_Button_Phot_Spec_Select_Groups PUSHBUTTON 48 58 0 0
          VALUE "Select Groups to Process"
          ALIGNCENTER
          TOOLTIP "Click here to use group table to identify groups suitable for flat-fielding with photometric or spectroscopic flat fields"
          ONACTIVATE "P12_Handler"
          END
        END
        P12_Tab_Pol BASE 0 0 855 421
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Polarimetry"
        BEGIN
          P12_Button_Pol_Spec_Select_Groups PUSHBUTTON 39 47 0 0
          VALUE "Select Groups to Process"
          ALIGNCENTER
          TOOLTIP "Read group table to select polarimetric image groups to process with HWP flat field images"
          ONACTIVATE "P12_Handler"
          END
          P12_LED_1 DRAW 23 363 778 21
          TOOLTIP "Progress bar for polarimetric images being processed for this night"
          END
          P12_Label_4 LABEL 11 88 0 0
          VALUE "B. Perform All Corrections"
          ALIGNLEFT
          END
          P12_Button_Pol_Spec_Do_Corrections PUSHBUTTON 46 332 0 0
          VALUE "Apply All Corrections"
          ALIGNCENTER
          TOOLTIP "Click here to begin correcting polarimetric image in groups for dark current and HWP flat fields"
          ONACTIVATE "P12_Handler"
          END
          P12_Button_Pol_Spec_View_Edit_Groups PUSHBUTTON 223 47 0 0
          VALUE "Vew/Edit Groups"
          ALIGNCENTER
          TOOLTIP "Show table of proposed polarimetric image groups, their polarimetric flat field images, their dark current images, and allow edits"
          ONACTIVATE "P12_Handler"
          END
          P12_Label_5 LABEL 18 16 0 0
          VALUE "A. Find, Edit Groups to Process"
          ALIGNLEFT
          END
          P12_Phot_Sub_Base BASE 359 26 472 322
          FRAME = 1
          XPAD = 3
          YPAD = 3
          SPACE = 3
          CAPTION "IDL"
          BEGIN
            P12_Textbox_Zero_Hop_Group_Count TEXT 50 125 0 0
            NUMITEMS = 1
            ITEM "0"
            WIDTH = 10
            HEIGHT = 1
            END
            P12_Label_6 LABEL 130 128 0 0
            VALUE "Number of groups with Zero Hops detected"
            ALIGNLEFT
            END
            P12_Textbox_Zero_Hop_Group_List TEXT 22 157 423 121
            SCROLL
            WIDTH = 45
            HEIGHT = 4
            END
            P12_Label_7 LABEL 148 286 0 0
            VALUE "Zero Hop Groups"
            ALIGNLEFT
            END
            WID_BASE_3 BASE 22 35 0 0
            COLUMNS = 1
            NONEXCLUSIVE
            CAPTION "IDL"
            BEGIN
              P12_Checkbox_Ignore_Zero_Hop_Tests PUSHBUTTON -1 -1 0 0
              VALUE "Ignore Zero Hop Detections"
              ALIGNLEFT
              ONACTIVATE "P12_Handler"
              END
            END
            WID_BASE_4 BASE 64 73 0 0
            COLUMNS = 1
            NONEXCLUSIVE
            CAPTION "IDL"
            BEGIN
              P12_Radio_Fix_By_Dither PUSHBUTTON -1 -1 0 0
              VALUE "Fix Zero-Hops by Dither (default = not selected)"
              ALIGNLEFT
              ONACTIVATE "P12_Handler"
              END
            END
            WID_LABEL_5 LABEL 135 10 0 0
            VALUE "Processing Options for Zero Hop Testing"
            ALIGNLEFT
            END
          END
          WID_LABEL_1 LABEL 359 392 0 0
          VALUE "Image Processing Progress"
          ALIGNLEFT
          END
          P12_Base_Rollback BASE 31 112 303 144
          FRAME = 1
          XPAD = 3
          YPAD = 3
          SPACE = 3
          CAPTION "IDL"
          BEGIN
            WID_LABEL_2 LABEL 12 6 0 0
            VALUE "Rollback (Original) Images Found"
            ALIGNLEFT
            END
            P12_Button_Do_Rollback PUSHBUTTON 24 52 0 0
            VALUE "A. Perform Rollback to Original Images"
            ALIGNCENTER
            ONACTIVATE "P12_Handler"
            END
            WID_LABEL_3 LABEL 33 27 0 0
            VALUE "Select one of the following options"
            ALIGNLEFT
            END
            WID_LABEL_4 LABEL 105 79 0 0
            VALUE "or"
            ALIGNLEFT
            END
            P12_Button_No_Rollback PUSHBUTTON 20 99 0 0
            VALUE "B. Keep Corrected Images (no Rollback)"
            ALIGNCENTER
            ONACTIVATE "P12_Handler"
            END
          END
        END
      END
    END
  END
  Base_Bottom_Text_Window TEXT 10 633 761 73
  SCROLL
  WRAP
  WIDTH = 20
  HEIGHT = 1
  END
  Exit_Button PUSHBUTTON 820 656 105 31
  VALUE "Exit"
  ALIGNCENTER
  TOOLTIP "Click here to exit program"
  ONACTIVATE "Exit_Asserted"
  END
END
