function get_image_JD, Event, image_pathname
;
;	determine the JD for the image pointed to by the image_pathname
;
WIDGET_CONTROL, Event.top, GET_UVALUE = PTR_struct
n_ptr = PTR_struct.PTR_night
s_ptr = PTR_struct.PTR_summary
l_ptr = PTR_struct.PTR_Linearity
b_ptr = PTR_struct.PTR_BPM
f_ptr = PTR_struct.PTR_FITS
;
header = HEADFITS(image_pathname)
;
;	 JD
;
n_header = N_ELEMENTS(header)
(*s_ptr).raw_header[0:n_header-1] = header
(*s_ptr).raw_header[n_header:*] = ''
MSP_BDP_Parse_FITS_Header, Event
;
image_ut= (*f_ptr).ut
date_obs = (*f_ptr).date_obs
year = 0L
month = 0L
day = 0L
reads, date_obs, format='(I4,1x,i2,1x,i2)',year, month, day
;
hour = FLOOR(image_UT)
minute = FLOOR((image_UT - double(hour))*60.0d0)
second = 3600.0d0 * (image_UT - double(hour) - double(minute)/60.0d0)
;
image_jd = 0.0d0
image_jd = JULDAY(month, day, year, hour, minute, ROUND(second))
;
return, image_jd
end