pro raw1_to_FITS, ncol, nrow
;
;   converts a raw1 image to FITS type
;
;   DPC   20070401  modified to test OS family and turn byteswapping off if not Windows
;
nargs = N_PARAMS()
if(nargs eq 0) then begin
    ncol = 1024
    nrow = 1026
endif
filein = dialog_pickfile(title="Select RAW1 image")
;
image = read_raw1(filein)
;
fileout = dialog_pickfile(title="Specify FITS output image")
writefits, fileout, image
end